Problem building firefox-2.0b1 on Linux

I'm Trying to build Firefox 2.0 beta1 and I get the following error.

.../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o)(.text+0x8a5):
In function `nsCanvasRenderingContext2D::Destroy()':
nsCanvasRenderingContext2D.cpp: undefined reference to `XFreePixmap'
.../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o)(.text+0x1317):
In function `nsCanvasRenderingContext2D::SetDimensions(int, int)':
nsCanvasRenderingContext2D.cpp: undefined reference to
`XRenderFindStandardFormat'
.../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o)(.text+0x133a):nsCanvasRenderingContext2D.cpp:
undefined reference to `XListPixmapFormats'
.../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o)(.text+0x1361):nsCanvasRenderingContext2D.cpp:
undefined reference to `XFree'
.../../dist/lib/libgkconcvs_s.a(nsCanvasRenderingContext2D.o)(.text+0x13ab):nsCanvasRenderingContext2D.cpp:
undefined reference to `XCreatePixmap'
collect2: ld returned 1 exit status
make[4]: *** [libgklayout.so] Error 1
make[4]: Leaving directory
`/usr/src/firefox2/firefox-build/layout/build'
make[3]: *** [libs] Error 2
make[3]: Leaving directory `/usr/src/firefox2/firefox-build/layout'
make[2]: Leaving directory `/usr/src/firefox2/firefox-build'
make[2]: *** [tier_9] Error 2
make[1]: *** [default] Error 2
make[1]: Leaving directory `/usr/src/firefox2/firefox-build'
make: *** [build] Error 2

Here is the .mozconfig file.

.. $topsrcdir/browser/config/mozconfig
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../firefox-build

ac_add_options --prefix=/opt/firefox2
ac_add_options --with-user-appdir=.fx2
ac_add_options --with-system-zlib
ac_add_options --with-system-png
ac_add_options --with-system-jpeg
ac_add_options --enable-system-cairo
ac_add_options --enable-canvas
ac_add_options --enable-svg
ac_add_options --enable-strip
ac_add_options --disable-tests
ac_add_options --disable-installer
ac_add_options --disable-accessibility

ac_add_options --with-pthreads
ac_add_options --enable-optimize

ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-xft

ac_add_options --enable-single-profile
ac_add_options --enable-safe-browsing
ac_add_options --enable-url-classifier

I've checked with requirements and theses are the ones I got

bash 3.0
gcc 3.4.3
Perl 5.8.7
GNU make 3.80
*No CVS(Do I need it for other than getting the source? I've built
1.5.0.4 without problem.)
widget toolkits.
        GTK2 2.8.11(* Building with this option)
        GTK 1.2.10
        QT 3.3.6 & 4.1.4 (didn't try) with /opt/qt linked to 3.3.6 and
/opt/qt-4.1.4 coming after it in PATH and PKG_CONFIG_PATH
*libXt-devel for X11/Intrinsic.h, X11/Shell.h : Don't know about his
one but locate found the headers in /usr/X11R6/Include, So I guessed
it's okay(Using xfree86 4.5.0 BTW)
libIDL 0.8.6
zip 2.31
freetype 2.1.10
fontconfig 2.3.2
pkgconfig 0.20

Would be glad if any one could help me. I ran out of tricks and ideas.

0
Subhash
7/22/2006 5:27:28 AM
mozilla.dev.builds 1718 articles. 0 followers. Post Follow

0 Replies
312 Views

Similar Articles

[PageSpeed] 26

Reply:

Similar Artilces:

Firefox 2.0.0.19 beta (build 2) and 3.0.5 beta (build 1) now available
Hello, Candidate builds of Firefox 2.0.0.19 and 3.0.5 are now available for testing. You can get the builds at: ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2.0.0.18-candid .... If you have previously downloaded a beta version of either Firefox 2.0 or 3.0 or have manually set your copy to be using the "beta" release channel for updates, you can update yourself to Firefox 2.0.0.19 / 3.0.5 by selecting "Help > Check for Updates". The status for Firefox 2.0.0.19 / 3.0.5 can be found here: http://wiki.mozilla.org/Releases/Firefox_2.0.0.19 ...

VS Builds, and Builds, and Builds
Hello, Has anyone else had this problem?  After a while of developing, and I go to compile, VS takes forever to build and I have to end-task it.  It's definitely after I've been working for a while, then it finally has "had it" and just takes forever to build.  It's annoying as I know its not the machine (2.8 GHZ processor and 1GB RAM).  Has anyone else experienced this problem?  By the way, I do have SP1 installed. Also, after minimizing and switching around screens, when it does this, the building icon in the status bar doesn't show.  And, for more informati...

Problems building Firefox 1.5.0.2 on Solaris 9 with Forte 6 Update 2
(Before anyone says "So use Leon's contrib builds!" - hey, I like to roll my own with my own switches, what can I say.) While trying to compile Firefox 1.5.0.2 on Solaris 9 with Sun's Forte 6 Update 2 compiler suite, I hit thisproblem: nsInputStreamChannel.cpp CC -o nsInputStreamChannel.o -c -DMOZILLA_INTERNAL_API -DOSTYPE=\"SunOS5\" [...] nsInputStreamChannel.cpp "nsInputStreamChannel.cpp", line 395: Error: Could not find a match for NS_QueryNotificationCallbacks(nsCOMPtr<nsIInterfaceRequestor>, nsCOMPtr<nsILoadGroup>, ns...

Seamonkey 2.9 Linux build problems
Hi, I regularly build and package up every new Seamonkey release for RHEL6 and clones on a dedicated build box using the same procedure. This has worked fine so far since I started with SM 2.1 up to 2.8 but with 2.9 I get an error during the the 'make install' phase. My build parameters are: ../configure \ --prefix=%{_prefix} \ --libdir=%{_libdir} \ --mandir=%{_mandir} \ --with-x \ --with-system-libxul \ --with-system-jpeg \ --with-system-zlib \ --with-system-bz2 \ --enable-system-hunspell \ --enable-startup-notification \ ...

Build Problem Firefox 2.0 on FC3
hi, I download the latest Firefox 2 RC3 from http://releases.mozilla.org/pub/mozilla.org/firefox/releases/2.0rc3/s... and tried building it on FC3 with the following options. ../configure --enable-application=browser --prefix=$PREFIX --enable-extensions=default,spatialnavigation And when i tried to "make", i got the following error...... /usr/bin/ld: TestTArray.o(.text+0x2237): unresolvable relocation against symbol `nsTArray_base::sEmptyHdr' /usr/bin/ld: final link failed: Nonrepresentable section on output collect2: ld returned 1 exit status gmake[3]: *** [T...

problem with "undefined suppress"?: failed MODPERL-2 build on MacOSX (Apache/2.0.36 mod_perl/1.99_02-dev Perl/v5.7.3)
--==========2147493761========== Content-Type: text/plain; charset=us-ascii; format=flowed Content-Transfer-Encoding: 7bit Content-Disposition: inline hi all, i'm working on getting modperl2 up/running on OSX Server 10.1.4 w/ Apache 2.0.36 & perl 5.7.3. apache & perl build threaded w/o any trouble; however, modperl seems to choke .... modperl2 configure works fine as: perl Makefile.PL MP_AP_PREFIX=/usr/local/apache2 MP_USE_DSO=1 MP_USE_STATIC=0 MP_STATIC_EXTS=0 but "make" dies at: cc -I/Volumes/ServerSystem/ports/modperl-2.0/src/modules/perl ...

Problem building latest build
Had to perform a repair to my XE2 installation, just to repair the help system (fruitlessly, but not the point), and the wonderful installation system decided to re-install the antiquated Indy version delivered with XE2, because it doesn't value weekends much. So I downloaded the latest Indy10 build (5072), and get errors. First is that the "HdrIcmp.icmp_dun" referenced in IdRawBuildIcmpMask in IdRawFunctions does not find the "icmp_dun" field in TIdICMPHdr. Indeed, it isn't there. Checked the SVN and the Fulgan ZIP. Where can I find a working ZIP? ...

Latest dev build of 'AJAX Control Toolkit'
Good morning,Following a previous post:http://forums.asp.net/thread/1444162.aspx rbuckton mentioned a new 'CalendarExtender' that's going to be included in the next release of the AJAX Extensions.  I'd like to take a look at the hard work that's been put into it so far, so I downloaded the latest development build (Oct 31 6:38pm) from:http://www.codeplex.com/SourceControl/ListDownloadableCommits.aspx?ProjectName=AtlasControlToolkitI have opened the solution in VS 2005 and removed the source control bindings and tried to build.  The SampleWebSite and ToolkitTests...

How to build libevent-dev 2.0.10 in ooder to build new version of transmission?
looking for LIBEVENT... configure: error: Package requirements (libevent >= 2.0.10) were not met: In order to build transmission 2.21.I need libeventnew version of transmission,I need to build libevent-dev >= 2.0.10 and installed first.But I can't get any information about building development files for libevent. Anyone help me solve this problem?Thanks in advance. -- axishero ------------------------------------------------------------------------ News:I've download a 2.0.10 deb pkg and extra than copy the folder to /usr.Problem solved. -- a...

SM 2.10 build problems on Linux (EL6)
Hi I'm encountering a problem when trying to build SM 2.10 on Scientific Linux 6.2 (RHEL6 clone). I get the following error: /usr/bin/python2.6 ../../../../mozilla/config/pythonpath.py ... collect2: ld returned 1 exit status make[4]: *** [libxul.so] Error 1 See here for more detailed output: http://pastebin.com/RdQFTxVB Is this a know problem (I couldn't find anything about it)? Does anyone have a suggestion on how to fix this? I'm using the following commands to build SM: mkdir build-tmp ; cd build-tmp .../configure \ --prefix=/usr \ --libdir=/us...

Firefox Build Problem on Linux
I've happily been building Firefox from mozilla-central on Ubuntu Jaunty for about 2 weeks, half a dozen or more successful builds so far. This morning's build went fine. Now this evening's attempt yields an error, saying "iwlib.h" is missing. Can anyone corroborate this? By the way I'm building my own in preparation to start contributing. Anyone know a simple, not too time-consuming, area to start working in? (Although I'm shedding a Windows laptop I'll be keeping an XP image under VMWare so ought to be able to test in both Lin and Win.) ...

Building Firefox 3.* on linux kernel 2.4
Hi, I am trying to find out if building FF3 is possible on linux kernel 2.4. From the build requirements page, it appears possible. But I wanted to know if if anyone has tried building FF3 on 2.4 kernel. If yes, then was it successful or if it was a failure what was the problem. Though its nowhere mentioned that it explicitly depends on 2.4 kernel, I am worried whether any of the required libs (like gtk+ or glib or something like that or libs which these depend on) have a dependency on 2.6 kernel. If someone has tried this then kindly put in the details here. If you had to do ...

Firefox-2.0.0.7 build problem
Hello all, Couple of days back I tried to compile Firefox-2.0.0.7, and honestly it was no pleasant experience. It turned out quite nasty in fact. Suffice it to say, I had to install new OS because of that. It'll be long post to describe all that...anyways I just want to share some observations here. Till two days back, I was running FC5, and was using Firefox-1.5.0.12(FC5 updates) on my machine. Firefox regularly used to crash, consume loads of memory - more than 50MB for only one tab showing my homepage - and with some flash based sites, it would invariably prompt ...

Firefox 3 Beta 2 Linux build is great
Name: Rodney Product: Firefox Summary: Firefox 3 Beta 2 Linux build is great Comments: I like that stdlibc++ is not longer required to be installed on my Linux system with the beta2 of Firefox 3. I tried installing Firefox 2.0.0.11 on a sysresccd.org distro, but it doesn't include stdlibc++ so I couldn't run Firefox 2.0.0.11. I can run Firefox 3! Browser Details: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b2) Gecko/2007121016 Firefox/3.0b2 ...

Web resources about - Problem building firefox-2.0b1 on Linux - mozilla.dev.builds

Firefox 2 - Wikipedia, the free encyclopedia
Mozilla Firefox 2 is a version of Firefox , a web browser released on October 24, 2006 by the Mozilla Corporation . Firefox 2 uses version 1.8 ...


Firefox 2 now available. Honest. - Breaking Apple News, Tips and Reviews from The Unofficial Apple Weblog ...
Firefox 2 has been available since sometime last night (though you had to use a sneaky way of getting it, downloading it from Mozilla's FTP server. ...

Resources last updated: 12/20/2015 11:06:46 AM